// CSC 2012
// Virtualization exercises

#include <sys/time.h>
#include <inttypes.h>

#include <cstdio>
#include <cstring>
#include <cstdlib>

#include <string>

const float RND_MAX = 2147483647.0;


static void Usage(const std::string &bin_image) {
  printf("Shoots into the sqare surrounding the unit circle and counts\n"
         "how many points end up in the unit circle.\n"
         "Usage: %s <number of trials>\n"
         "Output: number of points in the unit circle.\n",
         bin_image.c_str());
}


int main(int argc, char **argv) {
  if ((argc < 2) || (strcmp(argv[1], "-h") == 0)) {
    Usage(argv[0]);
    return 0;
  }

  struct timeval tv_now;
  gettimeofday(&tv_now, NULL);
  srandom(tv_now.tv_usec);

  unsigned long trials = strtol(argv[1], NULL, 10);
  unsigned long in_circle = 0;
  for (unsigned long i = 0; i < trials; ++i) {
    double x = (double)random()/RND_MAX;
    double y = (double)random()/RND_MAX;
    double distance_squared = x*x + y*y;
    if (distance_squared < 1.0)
      in_circle++;
  }

  printf("%lu %lu\n", trials, in_circle);
  return 0;
}
