// CSC 2012
// Virtualization exercises

#include <cstdio>
#include <cstring>
#include <map>


static void Usage() {
  printf("Sums up partial float results belonging to arbitrary IDs.\n"
         "Input comes from stdin, output goes to stdout.\n\n"
         "Example Input:\n"
         "  1 1.5\n"
         "  2 3.1415\n"
         "  1 1.5\n"
         "Example Output:\n"
         "  1 3.0\n"
         "  2 3.1415\n");
}


int main(int argc, char **argv) {
  if ((argc > 1) && (strcmp(argv[1], "-h") == 0)) {
    Usage();
    return 0;
  }

  std::map<int, float> results;

  int id;
  float partial_sum;
  // Sum up the partial sums according to their IDs
  while (scanf("%d %f", &id, &partial_sum) != EOF) {
    if (results.find(id) == results.end()) {
      results[id] = partial_sum;
    } else {
      results[id] += partial_sum;
    }
  }

  for (std::map<int, float>::const_iterator i = results.begin(),
       iEnd = results.end(); i != iEnd; ++i)
  {
    printf("%d %f\n", i->first, i->second);
  }

  return 0;
}
