// CSC 2012
// Virtualization exercises

const char *INPUT_FILE = "SMALLWORLD";


void plot_betweenness() {

  // style
  gROOT->SetStyle("Plain");
  gStyle->SetOptStat(0);
  gStyle->SetPalette(1);

  // open data
  ifstream fin(INPUT_FILE);

  // histogram
  TH1F *histo = new TH1F("histo", "histo", 300, 1, 6);

  // read file
  while (fin.good()) {
    Double_t i, betweenness;
    fin >> i >> betweenness;
    // fill histo
    histo->Fill(TMath::Log10(betweenness));
  }

  new TCanvas;
  histo->Sumw2();
  histo->Draw();
  histo->SetYTitle("Entries");
  histo->SetXTitle("Log_{10}(Betweenness)");
  histo->SetTitle("");

  gPad->SetLogy();
}
